#ifndef __SM_KFANIMABLE

#define __SM_KFANIMABLE


#include "SM_Matrix4X4.h"

struct KeyFrameSequence;

class IKFAnimable
{
public:
                            IKFAnimable();

  virtual void              SetKeyFrameSequence(KeyFrameSequence* pSequence);
  virtual void              SetStartTime(float fTime);

//protected:

  KeyFrameSequence* m_pKeyFrameSequence;
  float             m_fKeyFrameSequenceStartTime;  
};

#endif
